com.hazelcast.client.connection.nio

## Class ClientICMPManager

- java.lang.Object
- - com.hazelcast.client.connection.nio.ClientICMPManager

- All Implemented Interfaces:
    ConnectionListener

      public class ClientICMPManager
      extends Object
      implements ConnectionListener

  Client icmp based ping manager Responsible for configuration handling and scheduling related tasks

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClientICMPManager(ClientIcmpPingConfig clientIcmpPingConfig, com.hazelcast.client.spi.impl.ClientExecutionServiceImpl clientExecutionService, LoggingService loggingService, ClientConnectionManagerImpl clientConnectionManager, HeartbeatManager heartbeatManager)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectionAdded(Connection connection)`
    `void` | `connectionRemoved(Connection connection)`
    `void` | `shutdown()`
    `void` | `start()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClientICMPManager

          public ClientICMPManager(ClientIcmpPingConfig clientIcmpPingConfig,
                                   com.hazelcast.client.spi.impl.ClientExecutionServiceImpl clientExecutionService,
                                   LoggingService loggingService,
                                   ClientConnectionManagerImpl clientConnectionManager,
                                   HeartbeatManager heartbeatManager)

  - ### Method Detail

    - #### start

          public void start()

    - #### connectionAdded

          public void connectionAdded(Connection connection)

      Specified by:
        `connectionAdded` in interface `ConnectionListener`

    - #### connectionRemoved

          public void connectionRemoved(Connection connection)

      Specified by:
        `connectionRemoved` in interface `ConnectionListener`

    - #### shutdown

          public void shutdown()

Copyright © 2020. All rights reserved.